#declare Kamerax = sqrt((xmax-xmin)*(xmax-xmin) + (ymax-ymin)*(ymax-ymin) + (zmax-zmin)*(zmax-zmin));
#declare CameraLoc = <5*Kamerax, 0, 0>;
camera
{       location CameraLoc
	angle 20.0/Kamera_zoom
	right 4/3*x
	look_at <(xmin + xmax)/2, (ymin + ymax)/2,  (zmin + zmax)/2>
	rotate z*Kamera_beta
	rotate y*Kamera_alpha
}
// create a point "spotlight" (cylindrical directed) light source
light_source
{
  5*CameraLoc		  // light's position
  color rgb <1,1,1>       // light's color
  spotlight               // this kind of light source
  cylinder                // this variation
  point_at <0, 0, 0>      // direction of spotlight
  radius 8                // hotspot (inner, in degrees)
  tightness 20            // tightness of falloff (1...100) lower is softer, higher is tighter
  falloff 40              // intensity falloff radius (outer, in degrees)
}  

light_source
{
  <-30, 30, -30>
  color rgb <1.0, 1.0, 1.0>  // light's color
}

light_source
{
  <30, 30, -30>
  color rgb <1.0, 1.0, 1.0>  // light's color
} 

sky_sphere
{
  pigment
  {
    gradient y
    color_map { [0.3 color rgb <0.8,0.8,0.9>]
    	        [0.7 color rgb <0.5,0.5,1.0>] }
    scale 2
    translate -1
  }
} 

